#### Previous topic

scipy.spatial.HalfspaceIntersection

#### Next topic

scipy.spatial.HalfspaceIntersection.close

# scipy.spatial.HalfspaceIntersection.add_halfspaces

`HalfspaceIntersection.``add_halfspaces`(halfspaces, restart=False)

  Process a set of additional new halfspaces.

  Parameters:

  halfspaces : ndarray

  > New halfspaces to add. The dimensionality should match that of the initial halfspaces.

  restart : bool, optional

  > Whether to restart processing from scratch, rather than adding halfspaces incrementally.

  Raises:

  QhullError

  > Raised when Qhull encounters an error condition, such as geometrical degeneracy when options to resolve are not enabled.

  See also

  `close`

  Notes

  You need to specify `incremental=True` when constructing the object to be able to add halfspaces incrementally. Incremental addition of halfspaces is also not possible after `close` has been called.